## glew 2.1.0

=== Makefile ===
#!gmake
## The OpenGL Extension Wrangler Library
## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
## Copyright (C) 2002, Lev Povalahev
## All rights reserved.
## 
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met:
## 
## * Redistributions of source code must retain the above copyright notice, 
##   this list of conditions and the following disclaimer.
## * Redistributions in binary form must reproduce the above copyright notice, 
##   this list of conditions and the following disclaimer in the documentation 
##   and/or other materials provided with the distribution.
## * The name of the author may be used to endorse or promote products 
##   derived from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
## LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
## CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
## SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
## INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
## CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
## ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
## THE POSSIBILITY OF SUCH DAMAGE.

include config/version

SHELL = /bin/sh
SYSTEM ?= $(shell config/config.guess | cut -d - -f 3 | sed -e 's/[0-9\.]//g;')
SYSTEM.SUPPORTED = $(shell test -f config/Makefile.$(SYSTEM) && echo 1)

ifeq ($(SYSTEM.SUPPORTED), 1)
include config/Makefile.$(SYSTEM)
else
$(error "Platform '$(SYSTEM)' not supported")
endif

GLEW_PREFIX ?= /usr
GLEW_DEST ?= /usr
BINDIR    ?= $(GLEW_DEST)/bin
LIBDIR    ?= $(GLEW_DEST)/lib
INCDIR    ?= $(GLEW_DEST)/include/GL
PKGDIR    ?= $(GLEW_DEST)/lib/pkgconfig

ifneq ($(GLEW_NO_GLU), -DGLEW_NO_GLU)
LIBGLU = glu
endif

DIST_NAME    ?= glew-$(GLEW_VERSION)
DIST_SRC_ZIP ?= $(shell pwd)/$(DIST_NAME).zip
DIST_SRC_TGZ ?= $(shell pwd)/$(DIST_NAME).tgz
DIST_WIN32   ?= $(shell pwd)/$(DIST_NAME)-win32.zip

DIST_DIR := $(shell mktemp -d /tmp/glew.XXXXXX)/$(DIST_NAME)

# To disable stripping of linked binaries either:
#   - use STRIP= on gmake command-line
#   - edit this makefile to set STRIP to the empty string
# (Note: STRIP does not affect the strip in the install step)
#
# To disable symlinks:
#   - use LN= on gmake command-line

AR       ?= ar
ARFLAGS  ?= cr
INSTALL  ?= install
STRIP    ?= strip
RM       ?= rm -f
LN       ?= ln -sf
UNIX2DOS ?= unix2dos -q
DOS2UNIX ?= dos2unix -q

ifneq (,$(filter debug,$(MAKECMDGOALS)))
OPT = -g
else
OPT = $(POPT)
endif
INCLUDE = -Iinclude
CFLAGS = $(OPT) $(WARN) $(INCLUDE) $(CFLAGS.EXTRA)

all debug: glew.lib glew.bin

# GLEW shared and static libraries

LIB.LDFLAGS        := $(LDFLAGS.EXTRA) $(LDFLAGS.GL)
LIB.LIBS           := $(GL_LDFLAGS)

LIB.SRCS           := src/glew.c
LIB.SRCS.NAMES     := $(notdir $(LIB.SRCS))

LIB.OBJS           := $(addprefix tmp/$(SYSTEM)/default/static/,$(LIB.SRCS.NAMES))
LIB.OBJS           := $(LIB.OBJS:.c=.o)
LIB.SOBJS          := $(addprefix tmp/$(SYSTEM)/default/shared/,$(LIB.SRCS.NAMES))
LIB.SOBJS          := $(LIB.SOBJS:.c=.o)

glew.lib: glew.lib.shared glew.lib.static

glew.lib.shared: lib lib/$(LIB.SHARED) glew.pc
glew.lib.static: lib lib/$(LIB.STATIC) glew.pc

.PHONY: glew.lib glew.lib.shared glew.lib.static

lib:
	mkdir lib

lib/$(LIB.STATIC): $(LIB.OBJS)
ifneq ($(AR),)
	$(AR) $(ARFLAGS) $@ $^
else ifneq ($(LIBTOOL),)
	$(LIBTOOL) $@ $^
endif
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

lib/$(LIB.SHARED): $(LIB.SOBJS)
	$(LD) $(LDFLAGS.SO) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) lib/$(LIB.SONAME)
	$(LN) $(LIB.SHARED) lib/$(LIB.DEVLNK)
endif
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

tmp/$(SYSTEM)/default/static/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_STATIC $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

tmp/$(SYSTEM)/default/shared/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU -DGLEW_BUILD $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Force re-write of glew.pc, GLEW_DEST can vary

.PHONY: glew.pc

glew.pc: glew.pc.in
	sed \
		-e "s|@prefix@|$(GLEW_PREFIX)|g" \
		-e "s|@libdir@|$(LIBDIR)|g" \
		-e "s|@exec_prefix@|$(BINDIR)|g" \
		-e "s|@includedir@|$(INCDIR)|g" \
		-e "s|@version@|$(GLEW_VERSION)|g" \
		-e "s|@cflags@||g" \
		-e "s|@libname@|$(NAME)|g" \
		-e "s|@requireslib@|$(LIBGLU)|g" \
		< $< > $@

# GLEW utility programs

BIN.LIBS = -Llib $(LDFLAGS.DYNAMIC) -l$(NAME) $(LDFLAGS.EXTRA) $(LDFLAGS.GL)

GLEWINFO.BIN       := glewinfo$(BIN.SUFFIX)
GLEWINFO.BIN.SRC   := src/glewinfo.c
GLEWINFO.BIN.OBJ   := $(addprefix tmp/$(SYSTEM)/default/shared/,$(notdir $(GLEWINFO.BIN.SRC)))
GLEWINFO.BIN.OBJ   := $(GLEWINFO.BIN.OBJ:.c=.o)

VISUALINFO.BIN     := visualinfo$(BIN.SUFFIX)
VISUALINFO.BIN.SRC := src/visualinfo.c
VISUALINFO.BIN.OBJ := $(addprefix tmp/$(SYSTEM)/default/shared/,$(notdir $(VISUALINFO.BIN.SRC)))
VISUALINFO.BIN.OBJ := $(VISUALINFO.BIN.OBJ:.c=.o)

# Don't build glewinfo or visualinfo for NaCL, yet.

ifneq ($(filter nacl%,$(SYSTEM)),)
glew.bin: glew.lib bin
else
glew.bin: glew.lib bin bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) 
endif

bin:
	mkdir bin

bin/$(GLEWINFO.BIN): $(GLEWINFO.BIN.OBJ) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(GLEWINFO.BIN.OBJ) $(BIN.LIBS)
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

bin/$(VISUALINFO.BIN): $(VISUALINFO.BIN.OBJ) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(VISUALINFO.BIN.OBJ) $(BIN.LIBS)
ifneq ($(STRIP),)
	$(STRIP) -x $@
endif

$(GLEWINFO.BIN.OBJ): $(GLEWINFO.BIN.SRC) include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

$(VISUALINFO.BIN.OBJ): $(VISUALINFO.BIN.SRC) include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	@mkdir -p $(dir $@)
	$(CC) -DGLEW_NO_GLU $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

# Install targets

install.all: install install.bin

install:     install.include install.lib install.pkgconfig

install.lib: glew.lib
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(LIBDIR)"
# runtime
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -m 0755 lib/$(LIB.SHARED) "$(DESTDIR)$(BINDIR)/"
else
	$(INSTALL) -m 0644 lib/$(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/"
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/$(LIB.SONAME)"
endif

# development files
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -m 0644 lib/$(LIB.DEVLNK) "$(DESTDIR)$(LIBDIR)/"
endif
ifneq ($(LN),)
	$(LN) $(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/$(LIB.DEVLNK)"
endif
	$(INSTALL) -m 0644 lib/$(LIB.STATIC) "$(DESTDIR)$(LIBDIR)/"

install.bin: glew.bin
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -s -m 0755 bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) "$(DESTDIR)$(BINDIR)/"

install.include:
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(INCDIR)"
	$(INSTALL) -m 0644 include/GL/wglew.h "$(DESTDIR)$(INCDIR)/"
	$(INSTALL) -m 0644 include/GL/glew.h "$(DESTDIR)$(INCDIR)/"
	$(INSTALL) -m 0644 include/GL/glxew.h "$(DESTDIR)$(INCDIR)/"

install.pkgconfig: glew.pc
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(PKGDIR)"
	$(INSTALL) -d -m 0755 "$(DESTDIR)$(PKGDIR)"
	$(INSTALL) -m 0644 glew.pc "$(DESTDIR)$(PKGDIR)/"

uninstall:
	$(RM) "$(DESTDIR)$(INCDIR)/wglew.h"
	$(RM) "$(DESTDIR)$(INCDIR)/glew.h"
	$(RM) "$(DESTDIR)$(INCDIR)/glxew.h"
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.DEVLNK)"
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(RM) "$(DESTDIR)$(BINDIR)/$(LIB.SHARED)"
else
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.SONAME)"
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.SHARED)"
endif
	$(RM) "$(DESTDIR)$(LIBDIR)/$(LIB.STATIC)"
	$(RM) "$(DESTDIR)$(BINDIR)/$(GLEWINFO.BIN)" "$(DESTDIR)$(BINDIR)/$(VISUALINFO.BIN)"

clean:
	$(RM) -r tmp/
	$(RM) -r lib/
	$(RM) -r bin/
	$(RM) glew.pc

distclean: clean
	find . -name \*~ | xargs $(RM)
	find . -name .\*.sw\? | xargs $(RM)

# Distributions

dist-win32:
	$(RM) -r $(DIST_DIR)
	mkdir -p $(DIST_DIR)
	cp -a include $(DIST_DIR)
	cp -a doc $(DIST_DIR)
	cp -a *.txt $(DIST_DIR)
	cp -a bin $(DIST_DIR)
	cp -a lib $(DIST_DIR)
	$(RM) -f $(DIST_DIR)/bin/*/*/*.pdb $(DIST_DIR)/bin/*/*/*.exp
	$(RM) -f $(DIST_DIR)/bin/*/*/glewinfo-*.exe $(DIST_DIR)/bin/*/*/visualinfo-*.exe 
	$(RM) -f $(DIST_DIR)/lib/*/*/*.pdb $(DIST_DIR)/lib/*/*/*.exp
	$(UNIX2DOS) $(DIST_DIR)/include/GL/*.h
	$(UNIX2DOS) $(DIST_DIR)/doc/*.txt
	$(UNIX2DOS) $(DIST_DIR)/doc/*.html
	$(UNIX2DOS) $(DIST_DIR)/*.txt
	rm -f $(DIST_WIN32)
	cd $(DIST_DIR)/.. && zip -rq9 $(DIST_WIN32) $(DIST_NAME)
	$(RM) -r $(DIST_DIR)

dist-src:
	$(RM) -r $(DIST_DIR)
	mkdir -p $(DIST_DIR)
	mkdir -p $(DIST_DIR)/bin
	mkdir -p $(DIST_DIR)/lib
	cp -a auto $(DIST_DIR)
	$(RM) -Rf $(DIST_DIR)/auto/registry
	cp -a build $(DIST_DIR)
	cp -a config $(DIST_DIR)
	cp -a src $(DIST_DIR)
	cp -a doc $(DIST_DIR)
	cp -a include $(DIST_DIR)
	cp -a *.md $(DIST_DIR)
	cp -a *.txt $(DIST_DIR)
	cp -a Makefile $(DIST_DIR)
	cp -a glew.pc.in $(DIST_DIR)
	find $(DIST_DIR) -name '*.o' | xargs $(RM) -r
	find $(DIST_DIR) -name '*~' | xargs $(RM) -r
	find $(DIST_DIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(DIST_DIR) -name .svn | xargs $(RM) -r
	find $(DIST_DIR) -name "*.patch" | xargs $(RM) -r
	$(DOS2UNIX) $(DIST_DIR)/Makefile
	$(DOS2UNIX) $(DIST_DIR)/auto/Makefile
	$(DOS2UNIX) $(DIST_DIR)/config/*
	$(UNIX2DOS) $(DIST_DIR)/auto/core/*
	$(UNIX2DOS) $(DIST_DIR)/auto/extensions/*
	find $(DIST_DIR) -name '*.h' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.c' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.md' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.txt' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.html' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.css' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.sh' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.pl' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name 'Makefile' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.in' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.pm' | xargs $(UNIX2DOS)
	find $(DIST_DIR) -name '*.rc' | xargs $(UNIX2DOS)
	rm -f $(DIST_SRC_ZIP)
	cd $(DIST_DIR)/.. && zip -rq9 $(DIST_SRC_ZIP) $(DIST_NAME)
	$(DOS2UNIX) $(DIST_DIR)/Makefile
	$(DOS2UNIX) $(DIST_DIR)/auto/Makefile
	$(DOS2UNIX) $(DIST_DIR)/config/*
	$(DOS2UNIX) $(DIST_DIR)/auto/core/*
	$(DOS2UNIX) $(DIST_DIR)/auto/extensions/*
	find $(DIST_DIR) -name '*.h' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.c' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.md' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.txt' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.html' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.css' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.sh' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.pl' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name 'Makefile' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.in' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.pm' | xargs $(DOS2UNIX)
	find $(DIST_DIR) -name '*.rc' | xargs $(DOS2UNIX)
	rm -f $(DIST_SRC_TGZ)
	cd $(DIST_DIR)/.. && env GZIP=-9 tar czf $(DIST_SRC_TGZ) $(DIST_NAME)
	$(RM) -r $(DIST_DIR)

extensions:
	$(MAKE) -C auto

.PHONY: clean distclean tardist dist-win32 dist-src

=== build/vc6/Makefile ===
MSDEV := msdev
RM := rm -rf

default:
	$(MSDEV) glew.dsw /make \
	"glew_static - Win32 Release" \
	"glew_shared - Win32 Release" \
	"glewinfo - Win32 Release" \
	"visualinfo - Win32 Release" /build

debug:
	$(MSDEV) glew.dsw /make \
	"glew_static - Win32 Debug" \
	"glew_shared - Win32 Debug" \
	"glewinfo - Win32 Debug" \
	"visualinfo - Win32 Debug" /build


clean:
	$(MSDEV) glew.dsw /make all /clean
	$(RM) static shared *.plg *.ncb *.opt

=== build/cmake/testbuild/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(glew-cmake-test)

find_package(GLEW REQUIRED CONFIG)
find_package(GLEW REQUIRED CONFIG) # call twice to test multiple call
find_package(OpenGL REQUIRED)

add_executable(cmake-test main.c)
set_target_properties(cmake-test PROPERTIES DEBUG_POSTFIX _d)
target_link_libraries(cmake-test PRIVATE GLEW::GLEW ${OPENGL_LIBRARIES})
target_include_directories(cmake-test PRIVATE ${OPENGL_INCLUDE_DIR})

if(CMAKE_VERSION VERSION_LESS 3.0)
    set(cgex $<CONFIGURATION>)
else()
    set(cgex $<CONFIG>)
endif()

target_compile_definitions(cmake-test PRIVATE
    -DGLEW_CMAKE_TEST_CONFIG=${cgex}
    -DGLEW_CMAKE_TEST_TARGET_FILE_NAME=$<TARGET_FILE_NAME:GLEW::GLEW>
    -DGLEW_CMAKE_TEST_TARGET_TYPE=$<TARGET_PROPERTY:GLEW::GLEW,TYPE>
    )

install(TARGETS cmake-test DESTINATION bin)

=== debian/changelog ===
glew (2.1.0-4) unstable; urgency=medium

  * 0003-Fix_glex-moved-header.patch: also patch include/GL/glew.h to account
    for glext.h moving to /usr/include/GL. Closes: #915112, #916710
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Jan 2019 09:21:51 +0000

glew (2.1.0-3) unstable; urgency=medium

  * Fix from repo for glext.h collision: Closes: #915112
  * Don't use hard-coded xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Dec 2018 17:36:36 +0000

glew (2.1.0-2) UNRELEASED; urgency=medium

  * d/watch: Use https protocol

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:59:15 +0200

glew (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Taking over as Maintainer. Closes: #866743.
  * Use xz compression
  * From Lintian: Don't set CFLAGS in DEB_BUILD_OPTIONS clause.
    Now uses dpkg-buildflags.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jun 2018 14:14:01 +0100

glew (2.0.0-6) unstable; urgency=medium

  * QA upload.
  * Debhelper compat 11.
  * Use config.guess from automake (Closes: #896127)
  * Move VCS to Salsa; changes _not_ committed because of VCS having a WIP
    transition to a new upstream release.
  * Correct mojibake in Marcelo E. Magallon's name.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 May 2018 02:47:42 +0200

=== debian/control ===
Source: glew
Priority: optional
Section: libs
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 11~),
               docbook-to-man,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libx11-dev,
               libxi-dev,
               libxmu-dev
Standards-Version: 4.3.0
Homepage: http://glew.sourceforge.net
Vcs-Git: https://salsa.debian.org/debian/glew
Vcs-Browser: https://salsa.debian.org/debian/glew

Package: glew-utils
Section: utils
Architecture: any
Replaces: libglew1.6 (<< 1.7)
Depends: libglew2.1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenGL Extension Wrangler - utilities
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the utilities which can be used to query the
 supported OpenGL extensions.

Package: libglew-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgl1-mesa-dev | libgl-dev,
         libglew2.1 (= ${binary:Version}),
         libglu1-mesa-dev | libglu-dev,
         ${misc:Depends}
Conflicts:
 libglew1.6-dev
Provides:
 libglew1.5-dev,
 libglew1.6-dev
Description: OpenGL Extension Wrangler - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way. Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension. Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the development documentation as well as the
 required header files.

Package: libglew2.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: glew-utils
Description: OpenGL Extension Wrangler - runtime environment
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the runtime support files.

=== debian/rules ===
#!/usr/bin/make -f
# (C) 2003 Marcelo E. Magallon <mmagallo@debian.org>
# (C) 2006-2011 Joost Yervante Damad <andete@debian.org>
# (C) 2012 Matteo F. Vescovi <mfv.debian@gmail.com>

export DH_VERBOSE
# export DH_NO_ACT
# export DH_OPTIONS

include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDFLAGS = 1
DEB_CFLAGS_MAINT_APPEND = -Wall -g
include /usr/share/dpkg/buildflags.mk

# let dh_strip strip
export STRIP=true
export INSTALL=install --strip-program=true

configure: configure-stamp
configure-stamp:
	dh_testdir
	rm -f config/config.guess
	ln -sf /usr/share/misc/config.guess config/
	touch configure-stamp

build:

install: build-stamp
build-stamp: configure-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_auto_build -- \
		GL_LDFLAGS=-lGL \
		GLU_LDFLAGS=-lGLU \
		GLUT_LDFLAGS=-lglut \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		'LD=$$(CC)' \
		SYSTEM=$(firstword $(subst -, ,$(DEB_HOST_GNU_SYSTEM))) \
		'OPT=$(CFLAGS)'
	touch build-stamp
	dh_installdirs
	$(MAKE) install.all GLEW_DEST=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

clean:
	dh_testdir
	dh_testroot
	rm -f config/config.guess
	ln -sf /usr/share/misc/config.guess config/
	rm -f build-stamp build-stampmx configure-stamp
	$(MAKE) distclean
	rm -f config/config.guess
	dh_clean

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

build-arch: build
build-indep: build

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip --dbgsym-migration="libglew-dbg (<< 2.0.0-5)"
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps # -ldebian/tmp/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

debian/%.1: debian/%.sgml
	docbook-to-man $< > $@

.PHONY: build clean binary-indep binary-arch binary install debian-manpages

=== debian/watch ===
version=4
https://sf.net/glew/glew-(\d+(\.\d)+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## glew 2.2.0

=== Makefile ===
--- 
+++ 
@@ -89,6 +89,7 @@
 
 LIB.LDFLAGS        := $(LDFLAGS.EXTRA) $(LDFLAGS.GL)
 LIB.LIBS           := $(GL_LDFLAGS)
+LIB.SHARED.DIR     ?= lib
 
 LIB.SRCS           := src/glew.c
 LIB.SRCS.NAMES     := $(notdir $(LIB.SRCS))
@@ -100,7 +101,7 @@
 
 glew.lib: glew.lib.shared glew.lib.static
 
-glew.lib.shared: lib lib/$(LIB.SHARED) glew.pc
+glew.lib.shared: lib $(LIB.SHARED.DIR) $(LIB.SHARED.DIR)/$(LIB.SHARED) glew.pc
 glew.lib.static: lib lib/$(LIB.STATIC) glew.pc
 
 .PHONY: glew.lib glew.lib.shared glew.lib.static
@@ -118,11 +119,11 @@
 	$(STRIP) -x $@
 endif
 
-lib/$(LIB.SHARED): $(LIB.SOBJS)
+$(LIB.SHARED.DIR)/$(LIB.SHARED): $(LIB.SOBJS)
 	$(LD) $(LDFLAGS.SO) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
 ifneq ($(LN),)
-	$(LN) $(LIB.SHARED) lib/$(LIB.SONAME)
-	$(LN) $(LIB.SHARED) lib/$(LIB.DEVLNK)
+	$(LN) $(LIB.SHARED) $(LIB.SHARED.DIR)/$(LIB.SONAME)
+	$(LN) $(LIB.SHARED) $(LIB.SHARED.DIR)/$(LIB.DEVLNK)
 endif
 ifneq ($(STRIP),)
 	$(STRIP) -x $@
@@ -149,6 +150,7 @@
 		-e "s|@version@|$(GLEW_VERSION)|g" \
 		-e "s|@cflags@||g" \
 		-e "s|@libname@|$(NAME)|g" \
+		-e "s|@libgl@|$(LDFLAGS.GL)|g" \
 		-e "s|@requireslib@|$(LIBGLU)|g" \
 		< $< > $@
 
@@ -177,13 +179,13 @@
 bin:
 	mkdir bin
 
-bin/$(GLEWINFO.BIN): $(GLEWINFO.BIN.OBJ) lib/$(LIB.SHARED)
+bin/$(GLEWINFO.BIN): $(GLEWINFO.BIN.OBJ) $(LIB.SHARED.DIR)/$(LIB.SHARED)
 	$(CC) $(CFLAGS) -o $@ $(GLEWINFO.BIN.OBJ) $(BIN.LIBS)
 ifneq ($(STRIP),)
 	$(STRIP) -x $@
 endif
 
-bin/$(VISUALINFO.BIN): $(VISUALINFO.BIN.OBJ) lib/$(LIB.SHARED)
+bin/$(VISUALINFO.BIN): $(VISUALINFO.BIN.OBJ) $(LIB.SHARED.DIR)/$(LIB.SHARED)
 	$(CC) $(CFLAGS) -o $@ $(VISUALINFO.BIN.OBJ) $(BIN.LIBS)
 ifneq ($(STRIP),)
 	$(STRIP) -x $@
@@ -208,9 +210,9 @@
 # runtime
 ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
 	$(INSTALL) -d -m 0755 "$(DESTDIR)$(BINDIR)"
-	$(INSTALL) -m 0755 lib/$(LIB.SHARED) "$(DESTDIR)$(BINDIR)/"
-else
-	$(INSTALL) -m 0644 lib/$(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/"
+	$(INSTALL) -m 0755 $(LIB.SHARED.DIR)/$(LIB.SHARED) "$(DESTDIR)$(BINDIR)/"
+else
+	$(INSTALL) -m 0644 $(LIB.SHARED.DIR)/$(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/"
 endif
 ifneq ($(LN),)
 	$(LN) $(LIB.SHARED) "$(DESTDIR)$(LIBDIR)/$(LIB.SONAME)"
@@ -292,6 +294,9 @@
 	mkdir -p $(DIST_DIR)/lib
 	cp -a auto $(DIST_DIR)
 	$(RM) -Rf $(DIST_DIR)/auto/registry
+	$(RM) -Rf $(DIST_DIR)/auto/glfixes
+	$(RM) -Rf $(DIST_DIR)/auto/OpenGL-Registry
+	$(RM) -Rf $(DIST_DIR)/auto/EGL-Registry
 	cp -a build $(DIST_DIR)
 	cp -a config $(DIST_DIR)
 	cp -a src $(DIST_DIR)

=== debian/changelog ===
glew (2.2.0-5) experimental; urgency=medium

  * Build EGL on linux systems

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Oct 2022 13:58:02 +0100

glew (2.2.0-4) unstable; urgency=medium

  * Push to unstable for transition

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2021 09:21:46 +0100

glew (2.2.0-3) experimental; urgency=medium

  * Fix install on non-amd64 systems. Closes: #994485

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Sep 2021 17:32:14 +0100

glew (2.2.0-2) experimental; urgency=medium

  * Update d/watch file for github repo tags
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Sep 2021 14:43:37 +0100

glew (2.2.0-1) experimental; urgency=medium

  * New upstream release
  * Change pkgnames 2.1 -> 2.2
  * Move from DH_COMPAT=9 to use debhelper-compat (= 13)
  * Standards-Version: 4.5.0
  * Drop obsolete conflict/provide/replaces statements for bullseye

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 17:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Priority: optional
 Section: libs
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                docbook-to-man,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libx11-dev,
                libxi-dev,
                libxmu-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://glew.sourceforge.net
-Vcs-Git: https://salsa.debian.org/debian/glew
+Vcs-Git: https://salsa.debian.org/debian/glew -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/glew
 
 Package: glew-utils
 Section: utils
 Architecture: any
-Replaces: libglew1.6 (<< 1.7)
-Depends: libglew2.1 (= ${binary:Version}),
+Depends: libglew2.2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenGL Extension Wrangler - utilities
@@ -33,14 +32,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgl1-mesa-dev | libgl-dev,
-         libglew2.1 (= ${binary:Version}),
+         libglew2.2 (= ${binary:Version}),
          libglu1-mesa-dev | libglu-dev,
          ${misc:Depends}
-Conflicts:
- libglew1.6-dev
-Provides:
- libglew1.5-dev,
- libglew1.6-dev
 Description: OpenGL Extension Wrangler - development environment
  The OpenGL Extension Wrangler, GLEW for short, is a library that
  handles initialization of OpenGL extensions in a portable and simple
@@ -52,7 +46,7 @@
  This package contains the development documentation as well as the
  required header files.
 
-Package: libglew2.1
+Package: libglew2.2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
# (C) 2003 Marcelo E. Magallon <mmagallo@debian.org>
# (C) 2006-2011 Joost Yervante Damad <andete@debian.org>
# (C) 2012 Matteo F. Vescovi <mfv.debian@gmail.com>
# (C) 2020 Alastair McKinstry <mckinstry@debian.org>

export DH_VERBOSE=1
# export DH_NO_ACT
# export DH_OPTIONS

# The magic debhelper  rule
%:
	dh $@ 

include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDFLAGS = 1
DEB_CFLAGS_MAINT_APPEND = -Wall -g
include /usr/share/dpkg/buildflags.mk

# let dh_strip strip
export STRIP=true
export INSTALL=install --strip-program=true

SYSTEM:=$(firstword $(subst -, ,$(DEB_HOST_GNU_SYSTEM))) 
ifeq ($(SYSTEM),linux)
SYSTEM:= linux-egl
endif


override_dh_auto_configure:
	rm -f config/config.guess
	ln -sf /usr/share/misc/config.guess config/

override_dh_auto_build:
	dh_auto_build -- \
		GL_LDFLAGS=-lGL \
		GLU_LDFLAGS=-lGLU \
		GLUT_LDFLAGS=-lglut \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		SYSTEM=$(SYSTEM) \
		'LD=$$(CC)' \
		'OPT=$(CFLAGS)'
	dh_installdirs
	$(MAKE) install.all GLEW_DEST=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	rm -f config/config.guess
	ln -sf /usr/share/misc/config.guess config/
	dh_auto_clean

override_dh_strip:
	dh_strip --dbgsym-migration="libglew-dbg (<< 2.0.0-5)"

debian/%.1: debian/%.sgml
	docbook-to-man $< > $@

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/nigels-com/glew/tags .*/glew-?(\d\S+)\.tar\.gz
